wxFileType::MessageParameters Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxFileType::MessageParameters Class Reference

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/mimetype.h>`

## Detailed Description

Class representing message parameters.

An object of this class may be passed to wxFileType::GetOpenCommand() and GetPrintCommand() if more than the file name needs to be specified.

## Public Member Functions
| MessageParameters ()
| Trivial default constructor.
| MessageParameters (const wxString &filename, const wxString &mimetype=wxEmptyString)
| Constructor taking a filename and a mime type.
const wxString & | GetFileName () const
| Return the filename.
const wxString & | GetMimeType () const
| Return the MIME type.
virtual wxString | GetParamValue (const wxString &name) const
| Overridable method for derived classes. Returns empty string by default.
virtual | ~MessageParameters ()
| Trivial but virtual dtor as this class can be inherited from.

## Constructor & Destructor Documentation

## ◆ MessageParameters() [1/2]

wxFileType::MessageParameters::MessageParameters | ( |  | ) |

Trivial default constructor.

## ◆ MessageParameters() [2/2]

wxFileType::MessageParameters::MessageParameters | ( | const wxString & | filename,
|  | const wxString & | mimetype = wxEmptyString )

Constructor taking a filename and a mime type.

## ◆ ~MessageParameters()

virtual wxFileType::MessageParameters::~MessageParameters | ( |  | ) |
| virtual

Trivial but virtual dtor as this class can be inherited from.

## Member Function Documentation

## ◆ GetFileName()

const wxString & wxFileType::MessageParameters::GetFileName | ( |  | ) | const

Return the filename.

## ◆ GetMimeType()

const wxString & wxFileType::MessageParameters::GetMimeType | ( |  | ) | const

Return the MIME type.

## ◆ GetParamValue()

virtual wxString wxFileType::MessageParameters::GetParamValue | ( | const wxString & | name | ) | const
| virtual

Overridable method for derived classes. Returns empty string by default.